=== packages/bank-ui/Makefile ===
# This Makefile has been placed in the public domain

ifeq ($(TOPLEVEL), yes)
  $(info top-level build)
  -include ../../.config.mk
  override DESTDIR := $(TOP_DESTDIR)
else
  $(info package-level build)
  -include ../../.config.mk
  -include .config.mk
endif

$(info prefix is $(prefix))

.PHONY: all
all:
	@echo run \'make install\' to install

spa_dir=$(DESTDIR)$(prefix)/share/taler/bank-ui

.PHONY: deps
deps:
	pnpm install --frozen-lockfile --filter @gnu-taler/bank-ui...
	pnpm run --filter @gnu-taler/bank-ui... compile
	pnpm run check
	pnpm run build

.PHONY: install-nodeps
install-nodeps:
	install -d $(spa_dir)
	install ./dist/prod/* $(spa_dir)

.PHONY: install
install:
	$(MAKE) deps
	$(MAKE) install-nodeps
