=== packages/taler-harness/Makefile ===
# This Makefile has been placed in the public domain.

ifeq ($(TOPLEVEL), yes)
  $(info top-level build)
  -include ../../.config.mk
  override DESTDIR := $(TOP_DESTDIR)
else
  $(info package-level build)
  -include ../../.config.mk
  -include .config.mk
endif

$(info prefix is $(prefix))

all:
	@echo use 'make install' to build and install taler-harness

ifndef prefix
.PHONY: warn-noprefix install
warn-noprefix:
	@echo "no prefix configured, did you run ./configure?"
install: warn-noprefix
else
BINDIR = $(prefix)/bin
LIBDIR = $(prefix)/lib/taler-harness
NODEDIR = $(LIBDIR)/node_modules/taler-harness
.PHONY: install deps install-nodeps
install-nodeps:
	./build.mjs
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(NODEDIR)
	install -d $(DESTDIR)$(NODEDIR)/bin
	install -d $(DESTDIR)$(NODEDIR)/dist
	install ./dist/taler-harness-bundled.cjs $(DESTDIR)$(NODEDIR)/dist/
	install ./dist/taler-harness-bundled.cjs.map $(DESTDIR)$(NODEDIR)/dist/
	install ./bin/taler-harness.mjs $(DESTDIR)$(NODEDIR)/bin/
	ln -sf ../lib/taler-harness/node_modules/taler-harness/bin/taler-harness.mjs $(DESTDIR)$(BINDIR)/taler-harness
deps:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-harness...
	pnpm run --filter @gnu-taler/taler-harness... compile
install:
	$(MAKE) deps
	$(MAKE) install-nodeps
endif

.PHONY: deb
deb:
	dpkg-buildpackage -rfakeroot -b -uc -us
