=== packages/taler-wallet-cli/Makefile ===
# This Makefile has been placed in the public domain.

ifeq ($(TOPLEVEL), yes)
  $(info top-level build)
  -include ../../.config.mk
  override DESTDIR := $(TOP_DESTDIR)
else
  $(info package-level build)
  -include ../../.config.mk
  -include .config.mk
endif

$(info prefix is $(prefix))

all:
	@echo use 'make install' to build and install taler-wallet-cli

ifndef prefix
.PHONY: warn-noprefix install
warn-noprefix:
	@echo "no prefix configured, did you run ./configure?"
install: warn-noprefix
else
LIBDIR = $(prefix)/lib/taler-wallet-cli
BINDIR=$(prefix)/bin
NODEDIR=$(LIBDIR)/node_modules/taler-wallet-cli
.PHONY: install install-nodeps deps
install-nodeps:
	./build-node.mjs
	@echo installing wallet CLI to $(DESTDIR)$(prefix)
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(LIBDIR)/build
	install -d $(DESTDIR)$(NODEDIR)/bin
	install -d $(DESTDIR)$(NODEDIR)/dist
	install ./dist/taler-wallet-cli-bundled.cjs $(DESTDIR)$(NODEDIR)/dist/
	install ./dist/taler-wallet-cli-bundled.cjs.map $(DESTDIR)$(NODEDIR)/dist/
	install ./bin/taler-wallet-cli.mjs $(DESTDIR)$(NODEDIR)/bin/
	install ../idb-bridge/taler-helper-sqlite3 $(DESTDIR)$(BINDIR)/taler-helper-sqlite3
	ln -sf ../lib/taler-wallet-cli/node_modules/taler-wallet-cli/bin/taler-wallet-cli.mjs $(DESTDIR)$(BINDIR)/taler-wallet-cli
deps:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-cli...
	pnpm run --filter @gnu-taler/taler-wallet-cli... compile
install:
	$(MAKE) deps
	$(MAKE) install-nodeps
endif

.PHONY: deb
deb:
	dpkg-buildpackage -rfakeroot -b -uc -us
