=== packages/taler-wallet-cli/debian/changelog ===
taler-wallet-cli (1.1.0) unstable; urgency=low

  * Release 1.1.0

 -- Florian Dold <dold@taler.net>  Thu, 30 Oct 2025 15:47:37 +0100

taler-wallet-cli (1.0.37) unstable; urgency=low

  * Release 1.0.37

 -- Florian Dold <dold@taler.net>  Wed, 22 Oct 2025 17:57:23 +0200

taler-wallet-cli (1.0.36) unstable; urgency=low

  * Release 1.0.36

 -- Florian Dold <dold@taler.net>  Tue, 14 Oct 2025 12:34:15 +0200

taler-wallet-cli (1.0.35) unstable; urgency=low

  * Release 1.0.35

 -- Florian Dold <dold@taler.net>  Thu, 09 Oct 2025 15:04:45 +0200

taler-wallet-cli (1.0.34) unstable; urgency=low

  * Release 1.0.34

 -- Florian Dold <dold@taler.net>  Tue, 16 Sep 2025 00:47:58 +0200

taler-wallet-cli (1.0.33) unstable; urgency=low

  * Release 1.0.33

 -- Florian Dold <dold@taler.net>  Mon, 08 Sep 2025 20:07:19 +0200

taler-wallet-cli (1.0.32) unstable; urgency=low

  * Release 1.0.32

 -- Florian Dold <dold@taler.net>  Wed, 03 Sep 2025 18:22:49 -0300

taler-wallet-cli (1.0.31) unstable; urgency=low

  * Release 1.0.31

 -- Florian Dold <dold@taler.net>  Mon, 25 Aug 2025 10:31:22 -0300

taler-wallet-cli (1.0.30) unstable; urgency=low

  * Release 1.0.30

 -- Florian Dold <dold@taler.net>  Sun, 24 Aug 2025 19:33:15 +0200

taler-wallet-cli (1.0.28) unstable; urgency=low

  * Release 1.0.28

 -- Florian Dold <dold@taler.net>  Tue, 05 Aug 2025 23:19:57 +0200

taler-wallet-cli (1.0.27) unstable; urgency=low

  * Release 1.0.27

 -- Florian Dold <dold@taler.net>  Fri, 01 Aug 2025 15:46:13 +0200

taler-wallet-cli (1.0.26) unstable; urgency=low

  * Release 1.0.26

 -- Florian Dold <dold@taler.net>  Wed, 30 Jul 2025 22:34:04 +0200

taler-wallet-cli (1.0.25) unstable; urgency=low

  * Release 1.0.25

 -- Florian Dold <dold@taler.net>  Fri, 25 Jul 2025 17:23:11 +0200

taler-wallet-cli (1.0.24) unstable; urgency=low

  * Release 1.0.24

 -- Florian Dold <dold@taler.net>  Tue, 22 Jul 2025 02:38:16 +0200

taler-wallet-cli (1.0.23) unstable; urgency=low

  * Release 1.0.23

 -- Florian Dold <dold@taler.net>  Tue, 22 Jul 2025 01:00:36 +0200

taler-wallet-cli (1.0.22) unstable; urgency=low

  * Release 1.0.22

 -- Florian Dold <dold@taler.net>  Thu, 17 Jul 2025 21:24:52 +0200

taler-wallet-cli (1.0.21) unstable; urgency=low

  * Release 1.0.21

 -- Florian Dold <dold@taler.net>  Wed, 09 Jul 2025 01:56:35 +0200

taler-wallet-cli (1.0.20) unstable; urgency=low

  * Release 1.0.20

 -- Florian Dold <dold@taler.net>  Tue, 24 Jun 2025 11:56:45 +0200

taler-wallet-cli (1.0.19) unstable; urgency=low

  * Release 1.0.19

 -- Florian Dold <dold@taler.net>  Thu, 19 Jun 2025 14:26:23 +0200

taler-wallet-cli (1.0.18) unstable; urgency=low

  * Release 1.0.18

 -- Florian Dold <dold@taler.net>  Mon, 16 Jun 2025 22:42:15 +0200

taler-wallet-cli (1.0.17) unstable; urgency=low

  * Release 1.0.17

 -- Florian Dold <dold@taler.net>  Tue, 10 Jun 2025 21:30:13 +0200

taler-wallet-cli (1.0.16) unstable; urgency=low

  * Release 1.0.16

 -- Florian Dold <dold@taler.net>  Thu, 05 Jun 2025 12:28:48 +0200

taler-wallet-cli (1.0.15) unstable; urgency=low

  * Release 1.0.15

 -- Florian Dold <dold@taler.net>  Wed, 04 Jun 2025 13:49:40 +0200

taler-wallet-cli (1.0.14) unstable; urgency=low

  * Release 1.0.14

 -- Florian Dold <dold@taler.net>  Tue, 03 Jun 2025 22:32:13 +0200

taler-wallet-cli (1.0.13) unstable; urgency=low

  * Release 1.0.13

 -- Florian Dold <dold@taler.net>  Tue, 03 Jun 2025 16:21:13 +0200

taler-wallet-cli (1.0.12) unstable; urgency=low

  * Release 1.0.12

 -- Florian Dold <dold@taler.net>  Wed, 28 May 2025 19:53:08 +0200

taler-wallet-cli (1.0.11) unstable; urgency=low

  * Release 1.0.11

 -- Florian Dold <dold@taler.net>  Wed, 28 May 2025 02:39:55 +0200

taler-wallet-cli (1.0.10) unstable; urgency=low

  * Release 1.0.10

 -- Florian Dold <dold@taler.net>  Mon, 26 May 2025 12:37:59 +0200

taler-wallet-cli (1.0.9) unstable; urgency=low

  * Release 1.0.9

 -- Florian Dold <dold@taler.net>  Mon, 26 May 2025 11:07:16 +0200

taler-wallet-cli (1.0.8) unstable; urgency=low

  * Release 1.0.8

 -- Florian Dold <dold@taler.net>  Sun, 25 May 2025 19:56:48 +0200

taler-wallet-cli (1.0.7) unstable; urgency=low

  * Release 1.0.7

 -- Florian Dold <dold@taler.net>  Thu, 22 May 2025 01:10:38 +0200

taler-wallet-cli (1.0.6) unstable; urgency=low

  * Release 1.0.6

 -- Florian Dold <dold@taler.net>  Tue, 20 May 2025 16:57:58 +0200

taler-wallet-cli (1.0.5) unstable; urgency=low

  * Release 1.0.5

 -- Florian Dold <dold@taler.net>  Tue, 20 May 2025 15:28:04 +0200

taler-wallet-cli (1.0.4) unstable; urgency=low

  * Release 1.0.4

 -- Florian Dold <dold@taler.net>  Mon, 19 May 2025 15:09:24 +0200

taler-wallet-cli (1.0.3) unstable; urgency=low

  * Release 1.0.3

 -- Florian Dold <dold@taler.net>  Wed, 14 May 2025 19:47:56 +0200

taler-wallet-cli (1.0.2) unstable; urgency=low

  * Release 1.0.2

 -- Florian Dold <dold@taler.net>  Fri, 09 May 2025 00:28:00 +0200

taler-wallet-cli (1.0.1) unstable; urgency=low

  * Release 1.0.1

 -- Florian Dold <dold@taler.net>  Thu, 08 May 2025 19:51:12 +0200

taler-wallet-cli (1.0.0) unstable; urgency=low

  * Release 1.0.0

 -- Florian Dold <dold@taler.net>  Wed, 07 May 2025 23:33:35 +0200

taler-wallet-cli (0.14.25) unstable; urgency=low

  * Release 0.14.25

 -- Florian Dold <dold@taler.net>  Wed, 07 May 2025 18:37:30 +0200

taler-wallet-cli (0.14.24) unstable; urgency=low

  * Release 0.14.24

 -- Florian Dold <dold@taler.net>  Wed, 07 May 2025 12:28:26 +0200

taler-wallet-cli (0.14.23) unstable; urgency=low

  * Release 0.14.23

 -- Florian Dold <dold@taler.net>  Fri, 02 May 2025 09:22:45 +0200

taler-wallet-cli (0.14.22) unstable; urgency=low

  * Release 0.14.22

 -- Florian Dold <dold@taler.net>  Wed, 30 Apr 2025 14:45:03 +0200

taler-wallet-cli (0.14.20) unstable; urgency=low

  * Release 0.14.20

 -- Florian Dold <dold@taler.net>  Tue, 29 Apr 2025 16:21:36 +0200

taler-wallet-cli (0.14.19) unstable; urgency=low

  * Release 0.14.19


