=== packages/taler-wallet-cli/debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

# Override because our configure doesn't like extra arguments.
override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_builddeb:
	dh_builddeb -- -Zgzip

# Override this step because it's very slow and likely
# unnecessary for us.
override_dh_strip_nondeterminism:
	true

get-orig-source:
	uscan --force-download --rename
